# MovieDB
Find The Latest trending and upcoming movies and tv shows with MovieDB app. The app contains all info about movies and tv shows. find similar movies or shows, Browse all genres, video trailers, backdrops, logos, and posters.

<a href="https://github.com/zaidmukaddam/MovieDB-App/releases/download/v1.0.0/app-release.apk">Download Release app</a>

## App Features.

- Search Functionality
- Onboarding-Screen
- Select favourite movie
- Home Screen
- Tranding movie
- Movies different category
- Popular movie
- Upcomming movie
- Tranding person of week
- Top rated movie
- Movies detail
- Movies trailer and poster
- Movie cast
- Cast member detail
- Movies on bases of keyword
- Recommendation and similar movie

<p align="center">
<img src="screenshots/1640179162978.png" width="30%">
<img src="screenshots/1640179148024.png" width="30%">
<img src="screenshots/1640179172631.png" width="30%">
<img src="screenshots/1640179179700.png" width="30%">
<img src="screenshots/1640179186128.png" width="30%">
<img src="screenshots/1640179193240.png" width="30%">
<img src="screenshots/1640179202803.png" width="30%">
<img src="screenshots/1640179207829.png" width="30%">
<img src="screenshots/1640179366140.png" width="30%">

</p>

**Packages used:**

- cupertino_icons: ^1.0.2
- intl: ^0.17.0
- http: ^0.13.4
- hive_flutter: ^1.1.0
- flutter_bloc: ^8.0.0
- font_awesome_flutter: ^9.2.0
- google_fonts: ^2.1.0
- url_launcher: ^6.0.17
- readmore: ^2.1.0
- cached_network_image: ^3.2.0
- equatable: ^2.0.3
- uni_links: ^0.5.1
- shimmer: ^2.0.0
- fluttertoast: ^8.0.8
- photo_view: ^0.13.0
- carousel_slider: ^4.0.0
- youtube_player_flutter:
  - git:
  - url: https://github.com/zaidmukaddam/youtube_player_flutter

## How to use

frist you need to setup proxy server for app.

1. deploy backend folder to server.

2. add Envirnoment variables to your deploy server.

PS: You can easily deploy this server to heroku.
Tutorial link: https://devcenter.heroku.com/articles/deploying-nodejs

```
API_KEY = "?api_key=<Your tmdb api key>"
OMDB_API_KEY="<your ombd api key>"
```

To clone and run this application, you'll need [Git](https://git-scm.com/downloads) and [Flutter](https://flutter.dev/docs/get-started/install) installed on your computer. From your command line:

```
# Clone this repository
$ git clone https://github.com/zaidmukaddam/MovieDB-App.git
```

```
# go to lib/api/key.dart and paste your deployed server link to BASE_URL
```

```
# Go into the repository
$ cd MovieDB-App
```

```
# Install dependencies
$ flutter packages get
```

```
# Run the app
$ flutter run
```

This project is just for fun, but if you have any crazy idea for this app feel free to contribute, or create request for the features. Any contributions you make are greatly appreciated.

# Contact me

<a href="mailto:zaidaltafmukaddam@gmail.com">
<img src="https://img.shields.io/badge/Gmail-D14836?style=for-the-badge&logo=gmail&logoColor=white"/>
</a>
<a href="https://twitter.com/zaidmukaddam">
<img src="https://img.shields.io/badge/Twitter-1DA1F2?style=for-the-badge&logo=twitter&logoColor=white"/>
</a>
<a href="https://www.linkedin.com/in/zaid-mukaddam-26b155202/">
<img src="https://img.shields.io/badge/LinkedIn-0077B5?style=for-the-badge&logo=linkedin&logoColor=white"/>
</a>
